<?php

/**
 * @file
 * Bartik's theme implementation to display a node.
 *
 * Available variables:
 * - $title: the (sanitized) title of the node.
 * - $content: An array of node items. Use render($content) to print them all,
 *   or print a subset such as render($content['field_example']). Use
 *   hide($content['field_example']) to temporarily suppress the printing of a
 *   given element.
 * - $user_picture: The node author's picture from user-picture.tpl.php.
 * - $date: Formatted creation date. Preprocess functions can reformat it by
 *   calling format_date() with the desired parameters on the $created variable.
 * - $name: Themed username of node author output from theme_username().
 * - $node_url: Direct URL of the current node.
 * - $display_submitted: Whether submission information should be displayed.
 * - $submitted: Submission information created from $name and $date during
 *   template_preprocess_node().
 * - $classes: String of classes that can be used to style contextually through
 *   CSS. It can be manipulated through the variable $classes_array from
 *   preprocess functions. The default values can be one or more of the
 *   following:
 *   - node: The current template type; for example, "theming hook".
 *   - node-[type]: The current node type. For example, if the node is a
 *     "Blog entry" it would result in "node-blog". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node-teaser: Nodes in teaser form.
 *   - node-preview: Nodes in preview mode.
 *   The following are controlled through the node publishing options.
 *   - node-promoted: Nodes promoted to the front page.
 *   - node-sticky: Nodes ordered above other non-sticky nodes in teaser
 *     listings.
 *   - node-unpublished: Unpublished nodes visible only to administrators.
 * - $title_prefix (array): An array containing additional output populated by
 *   modules, intended to be displayed in front of the main title tag that
 *   appears in the template.
 * - $title_suffix (array): An array containing additional output populated by
 *   modules, intended to be displayed after the main title tag that appears in
 *   the template.
 *
 * Other variables:
 * - $node: Full node object. Contains data that may not be safe.
 * - $type: Node type; for example, story, page, blog, etc.
 * - $comment_count: Number of comments attached to the node.
 * - $uid: User ID of the node author.
 * - $created: Time the node was published formatted in Unix timestamp.
 * - $classes_array: Array of html class attribute values. It is flattened
 *   into a string within the variable $classes.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Node status variables:
 * - $view_mode: View mode; for example, "full", "teaser".
 * - $teaser: Flag for the teaser state (shortcut for $view_mode == 'teaser').
 * - $page: Flag for the full page state.
 * - $promote: Flag for front page promotion state.
 * - $sticky: Flags for sticky post setting.
 * - $status: Flag for published status.
 * - $comment: State of comment settings for the node.
 * - $readmore: Flags true if the teaser content of the node cannot hold the
 *   main body content.
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * Field variables: for each field instance attached to the node a corresponding
 * variable is defined; for example, $node->body becomes $body. When needing to
 * access a field's raw values, developers/themers are strongly encouraged to
 * use these variables. Otherwise they will have to explicitly specify the
 * desired field language; for example, $node->body['en'], thus overriding any
 * language negotiation rule that was previously applied.
 *
 * @see template_preprocess()
 * @see template_preprocess_node()
 * @see template_process()
 */
?>
<div id="node-<?php print $node->nid; ?>" class="<?php print $classes; ?> clearfix"<?php print $attributes; ?>>

  <?php print render($title_prefix); ?>
  <?php if (!$page): ?>
    <h2<?php print $title_attributes; ?>>
      <a href="<?php print $node_url; ?>"><?php print $title; ?></a>
    </h2>
  <?php endif; ?>
  <?php print render($title_suffix); ?>

  <?php if ($display_submitted): ?>
    <div class="meta submitted">
      <?php print $user_picture; ?>
      <?php print $submitted; ?>
    </div>
  <?php endif; ?>

  <div class="content clearfix"<?php print $content_attributes; ?>>
    <?php
      // We hide the comments and links now so that we can render them later.
      hide($content['comments']);
      hide($content['links']);
      
if(arg(2) == "sort")
{
//print_r($node);
//drupal_get_form('parksquare_form');

print drupal_render(drupal_get_form('parksquare_form')); 
}
else
{
print render($content);
}

    ?>
  </div>

<?php

echo '
<style>
.dlfilecount{padding-top:20px;padding-bottom:20px;font-size:14px;font-weight:bold;}
.field-name-field-ordering-info{display:none;}
</style>
';

$fcount = count($node->field_selected_assignments2['und']);
if($fcount == 20){$fsel20 = ' selected = "selected" ';}
elseif($fcount == 15){$fsel15 = ' selected = "selected" ';}
elseif($fcount == 16){$fsel16 = ' selected = "selected" ';}
elseif($fcount == 12){$fsel12 = ' selected = "selected" ';}
elseif($fcount == 9){$fsel9 = ' selected = "selected" ';}
elseif($fcount == 6){$fsel6 = ' selected = "selected" ';}
else{$fsel20 = ' selected = "selected" ';}

echo '<div class="dlfilecount">This PitchDeck has '.$fcount.' assignments.</div>';

if(!$teaser)
{
echo '<div class="sortlink"><a href="/node/'.$node->nid.'/sort">Manually Sort the Display Order of Assignments</a></div>
<style>
.sortlink{padding-bottom:20px;}
</style>
';
echo '
<div class="dlfile">
<select name="xarr" id="xarr">
<option value="4-5" '.$fsel20.' >4 x 5 Tiles</option>
<option value="3-5" '.$fsel15.' >3 x 5 Tiles</option>
<option value="4-4"  '.$fsel16.' >4 x 4 Tiles</option>
<option value="3-4" '.$fsel12.' >3 x 4 Tiles</option>
<option value="3-3"  '.$fsel9.' >3 x 3 Tiles</option>
<option value="2-3"  '.$fsel6.' >2 x 3 Tiles</option>
</select>
<a href="#" onclick="getfileurl();return false;">Generate PPT File</a>
</div>

<script>
function getfileurl()
{
window.location = "'.$base_url.'/fn.php?fn=genppt&n='.$node->nid.'&xarr=" + jQuery("#xarr").val() + "";
}
</script>
';
}

?>


  <?php
    // Remove the "Add new comment" link on the teaser page or if the comment
    // form is being displayed on the same page.
    if ($teaser || !empty($content['comments']['comment_form'])) {
      unset($content['links']['comment']['#links']['comment-add']);
    }
    // Only display the wrapper div if there are links.
    $links = render($content['links']);
    if ($links):
  ?>
    <div class="link-wrapper">
      <?php print $links; ?>
    </div>
  <?php endif; ?>

  <?php print render($content['comments']); ?>

</div>
